package com.jjt.hl.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务模型健康度得分指标明细对象 hl_metrics_score_detail
 *
 * @author jjt
 * @date 2024-09-05
 */
@ApiModel(value = "HlMetricsScoreDetail", description = "业务模型健康度得分指标明细")
public class HlMetricsScoreDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 指标明细ID */
    @ApiModelProperty("指标明细ID")
    @TableId
    private Long scoreDetailId;

    /** 指标明细ID */
    @ApiModelProperty("指标明细ID")
    @Excel(name = "指标明细ID")
    private Long scoreMetricsId;

    /** ID */
    @ApiModelProperty("ID")
    @Excel(name = "ID")
    private Long objMetricsId;

    public void setScoreDetailId(Long scoreDetailId)
    {
        this.scoreDetailId = scoreDetailId;
    }

    public Long getScoreDetailId()
    {
        return scoreDetailId;
    }
    public void setScoreMetricsId(Long scoreMetricsId)
    {
        this.scoreMetricsId = scoreMetricsId;
    }

    public Long getScoreMetricsId()
    {
        return scoreMetricsId;
    }
    public void setObjMetricsId(Long objMetricsId)
    {
        this.objMetricsId = objMetricsId;
    }

    public Long getObjMetricsId()
    {
        return objMetricsId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("scoreDetailId", getScoreDetailId())
            .append("scoreMetricsId", getScoreMetricsId())
            .append("objMetricsId", getObjMetricsId())
            .toString();
    }
}
